Skip to main content
POST
Duplicate an image

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

imageId
integer<int64>
required

Body

application/json
array
boolean
bigDecimal
boolean
bigInteger
boolean
binary
boolean
boolean
boolean
container
boolean
double
boolean
embeddedValue
boolean
empty
boolean
float
boolean
floatingPointNumber
boolean
int
boolean
integralNumber
boolean
long
boolean
missingNode
boolean
nodeType
enum<string>
Available options:
ARRAY,
BINARY,
BOOLEAN,
MISSING,
NULL,
NUMBER,
OBJECT,
POJO,
STRING
null
boolean
number
boolean
object
boolean
pojo
boolean
short
boolean
string
boolean
textual
boolean
deprecated
valueNode
boolean

Response

OK

altText
string
baseColor
integer<int32>

Image base color

colorDepth
integer<int32>
createdById
integer<int64>
read-only

Account ID of the image uploader

date
string<date-time>

Date of image upload

description
string
fileName
string

Image file name

fileWeight
integer<int64>
read-only

Image file size in KB

format
enum<string>

Image format (formats accepted: JPG, JPEG, PNG, GIF, WEBP, SVG, MVG)

Available options:
PNG,
JPEG,
GIF,
SVG,
MVG,
WEB
height
integer<int32>

Image height in pixels

id
integer<int64>
read-only

Unique ID of the image

keywords
string[]

Keyword(s) associated with the image

name
string

Image name

path
string

Image path

shared
boolean

Indicates if a user shared the image

siteId
integer<int64>

Unique ID of the site your project belongs to

size
integer<int64>
read-only

Image size in bytes. Image file size should be maximum 5242880 bytes

source
string

Image source

sourceUrl
string

URL or the image source

tags
string[]
width
integer<int32>

Image width in pixels